Debian Bug report logs - #277615
wrong permissions on .gwc and undo files

version graph

Package: gwc; Maintainer for gwc is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for gwc is src:gwc.

Reported by: Alexandre Fayolle <alexandre.fayolle@logilab.fr>

Date: Thu, 21 Oct 2004 08:48:02 UTC

Severity: minor

Found in versions gwc/0.21.16~dfsg-2, 0.20.07-1

Fixed in version gwc/0.21.16~dfsg-3

Done: Alessio Treglia <alessio@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/support/tracker.php?aid=3303531

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Guenter Geiger (Debian/GNU) <geiger@debian.org>:
Bug#277615; Package gwc. Full text and rfc822 format available.

Acknowledgement sent to Alexandre Fayolle <alexandre.fayolle@logilab.fr>:
New Bug report received and forwarded. Copy sent to Guenter Geiger (Debian/GNU) <geiger@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexandre Fayolle <alexandre.fayolle@logilab.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: wrong permissions on .gwc and undo files
Date: Thu, 21 Oct 2004 10:35:31 +0200
Package: gwc
Version: 0.20.07-1
Severity: minor

On my machines, undo files such as gwc_undo_1.dat and .gwc files are
created with mode u=rwx, I feel that setting the executable bit is not
mandated, and that u=rw would be enough. 

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-1-686
Locale: LANG=fr_FR, LC_CTYPE=fr_FR

Versions of packages gwc depends on:
ii  fftw3                     3.0.1-10       Library for computing Fast Fourier
ii  libart-2.0-2              2.3.16-6       Library of functions for 2D graphi
ii  libatk1.0-0               1.6.1-5        The ATK accessibility toolkit
ii  libbonobo2-0              2.6.2-7        Bonobo CORBA interfaces library
ii  libbonoboui2-0            2.6.1-1        The Bonobo UI library
ii  libc6                     2.3.2.ds1-18   GNU C Library: Shared libraries an
ii  libgconf2-4               2.6.4-2        GNOME configuration database syste
ii  libglib2.0-0              2.4.7-1        The GLib library of C routines
ii  libgnome2-0               2.6.1.2-2      The GNOME 2 library - runtime file
ii  libgnomecanvas2-0         2.6.1.1-2      A powerful object-oriented display
ii  libgnomeui-0              2.6.1.1cvs-1   The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0            2.6.2-2        The GNOME virtual file-system libr
ii  libgtk2.0-0               2.4.13-1       The GTK+ graphical user interface 
ii  libice6                   4.3.0.dfsg.1-8 Inter-Client Exchange library
ii  liborbit2                 1:2.10.2-1.1   libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0             1.4.1-4        Layout and rendering of internatio
ii  libpopt0                  1.7-5          lib for parsing cmdline parameters
ii  libsm6                    4.3.0.dfsg.1-8 X Window System Session Management
ii  libsndfile1               1.0.10-2       Library for reading/writing audio 
ii  libxml2                   2.6.11-4       GNOME XML library
ii  links [www-browser]       0.99-1.2       Character mode WWW browser
ii  mozilla-firefox [www-brow 0.9.3-6        lightweight web browser based on M
ii  w3m [www-browser]         0.5.1-3        WWW browsable pager with excellent
ii  xlibs                     4.3.0.dfsg.1-8 X Window System client libraries m
ii  zlib1g                    1:1.2.2-1      compression library - runtime

-- no debconf information



Added tag(s) pending. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Tue, 17 May 2011 20:42:11 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://sourceforge.net/support/tracker.php?aid=3303531'. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Tue, 17 May 2011 20:42:13 GMT) Full text and rfc822 format available.

Bug Marked as found in versions gwc/0.21.16~dfsg-2. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Thu, 09 Jun 2011 08:54:13 GMT) Full text and rfc822 format available.

Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Thu, 09 Jun 2011 09:06:16 GMT) Full text and rfc822 format available.

Notification sent to Alexandre Fayolle <alexandre.fayolle@logilab.fr>:
Bug acknowledged by developer. (Thu, 09 Jun 2011 09:06:21 GMT) Full text and rfc822 format available.

Message #16 received at 277615-close@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 277615-close@bugs.debian.org
Subject: Bug#277615: fixed in gwc 0.21.16~dfsg-3
Date: Thu, 09 Jun 2011 09:02:52 +0000
Source: gwc
Source-Version: 0.21.16~dfsg-3

We believe that the bug you reported is fixed in the latest version of
gwc, which is due to be installed in the Debian FTP archive:

gwc-dbg_0.21.16~dfsg-3_amd64.deb
  to main/g/gwc/gwc-dbg_0.21.16~dfsg-3_amd64.deb
gwc_0.21.16~dfsg-3.debian.tar.gz
  to main/g/gwc/gwc_0.21.16~dfsg-3.debian.tar.gz
gwc_0.21.16~dfsg-3.dsc
  to main/g/gwc/gwc_0.21.16~dfsg-3.dsc
gwc_0.21.16~dfsg-3_amd64.deb
  to main/g/gwc/gwc_0.21.16~dfsg-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 277615@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <alessio@debian.org> (supplier of updated gwc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 09 Jun 2011 10:51:56 +0200
Source: gwc
Binary: gwc gwc-dbg
Architecture: source amd64
Version: 0.21.16~dfsg-3
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Alessio Treglia <alessio@debian.org>
Description: 
 gwc        - Audio file denoiser
 gwc-dbg    - Audio file denoiser (debug)
Closes: 277615
Changes: 
 gwc (0.21.16~dfsg-3) unstable; urgency=low
 .
   * Don't set the executable bit on the generated undo
     files (Closes: #277615).
Checksums-Sha1: 
 cae2af247e5086e4ac6abc52a94298e899c53d22 1416 gwc_0.21.16~dfsg-3.dsc
 ba8621e278a13aa362716637314cee725900facd 10909 gwc_0.21.16~dfsg-3.debian.tar.gz
 2b8a62a0d649d29ff2aec9c838fb34ff62de01df 198682 gwc_0.21.16~dfsg-3_amd64.deb
 87ff8266196b066eae24239c23cc1500116c6d48 318520 gwc-dbg_0.21.16~dfsg-3_amd64.deb
Checksums-Sha256: 
 dc6361f7d3b8030e4238a7696d6eda381186a09debc4578ff59e69c6cdb2711e 1416 gwc_0.21.16~dfsg-3.dsc
 2159ea32adaf286756d1c77fea59a4c97805b7deccfbd7c06963494689658988 10909 gwc_0.21.16~dfsg-3.debian.tar.gz
 df1511d23c0e2e5542e16c2dc54055cb4256cd29f72c1a32d1af779ab87ecc1b 198682 gwc_0.21.16~dfsg-3_amd64.deb
 30683c8abca1b0cc5705516bbd923530759b12c59d9820e4f1ae58f71f481e6f 318520 gwc-dbg_0.21.16~dfsg-3_amd64.deb
Files: 
 fb46cc4ef4c567e3ce89d3514e253d2e 1416 sound optional gwc_0.21.16~dfsg-3.dsc
 d1e8aa9c23e56e5bddb6ae18c0ec2179 10909 sound optional gwc_0.21.16~dfsg-3.debian.tar.gz
 207bc9420642b3010d96cea6e9543791 198682 sound optional gwc_0.21.16~dfsg-3_amd64.deb
 db6de07e2cc4194dc4d3ff9fedb2d170 318520 debug extra gwc-dbg_0.21.16~dfsg-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3wir0ACgkQRdSMfNz8P9C5rACeJpWEYYf0qhcQqvxsNroY6R57
2EQAn0tnb87ZeyZJyvNuD5hwNRjdB+r0
=Kh2l
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jul 2011 07:31:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:39:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.